Bug 211749 - RFE: add -r option to losetup to create a read-only loop
RFE: add -r option to losetup to create a read-only loop
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks: 237659
  Show dependency treegraph
 
Reported: 2006-10-21 15:09 EDT by Luciano Rocha
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-28 07:47:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch adding -r option to losetup (925 bytes, patch)
2006-10-21 15:09 EDT, Luciano Rocha
no flags Details | Diff

  None (edit)
Description Luciano Rocha 2006-10-21 15:09:24 EDT
Current losetup supports creating RO loops: the set_loop has an argument that
requests and returns the open mode, and the function also checks if the
filesystem the file resides on is mounted read-only.

But there is no way to specify the RO mode from the command line. The attached
patch adds a new -r option.
Comment 1 Luciano Rocha 2006-10-21 15:09:24 EDT
Created attachment 139067 [details]
patch adding -r option to losetup
Comment 2 Karel Zak 2006-11-01 09:11:37 EST
FC6 seems like better target for this feature. Thanks for your patch.

Note You need to log in before you can comment on or make changes to this bug.